package net.wanji.common.enums;

/**
 * @author Kent HAN
 * @date 2022/11/8 17:20
 */
public enum StrategyEnum {
    BALANCE("100030", "均衡调控"),
    EFFICIENCY("100152", "效率提升"),
    SECURITY("100010", "安全保障");

    private final String code;
    private final String msg;

    StrategyEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static String getMsgByCode(String code) {
        for (StrategyEnum value : StrategyEnum.values()) {
            if (value.code.equals(code)) {
                return value.msg;
            }
        }
        return null;
    }

    public String getMsg() {
        return msg;
    }

    public String getCode() {
        return code;
    }
}
